SitePoint Sponsor

User Tag List

Results 1 to 4 of 4
  1. #1
    SitePoint Enthusiast
    Join Date
    Jun 2007
    Location
    Miami, FL
    Posts
    92
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Creating the model... uh... what?

    So I installed Locomotive2 on my Mac. I created a new Rails app, ran it on localhost:3001, everything worked perfectly. I created databases, updated the YML file, and when I try to generate models I get the following message:

    Code:
    Orpheux-MacBook:~ realmadrid2727$ cd /Locomotive2/testproject
    Orpheux-MacBook:/Locomotive2/testproject realmadrid2727$ ruby script/generate model Classified
    ./script/../config/boot.rb:18:in `require': No such file to load -- rubygems (LoadError)
            from ./script/../config/boot.rb:18
            from script/generate:2:in `require'
            from script/generate:2

    What is THAT? I thought everything was fine since the Locomotive2 installation displayed the application page when I created a new app. From the error message, it seems as if I'm missing some files or something.

    Anyone have any ideas? I also installed Locomotive2 on a Mac Pro, same error when trying the same thing. I'm following the steps in a book titled "Rails Solutions: Ruby on Rails Made Easy" by Justin Williams.

  2. #2
    SitePoint Enthusiast
    Join Date
    Jan 2004
    Location
    USA
    Posts
    82
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Looks like it is looking for some 'require' file in boot.rb. See what gem it is trying to require on 18 and do a 'gem install x' on it.

  3. #3
    SitePoint Guru silver trophy Luke Redpath's Avatar
    Join Date
    Mar 2003
    Location
    London
    Posts
    794
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Do you have RubyGems installed on your machine? What happens if you run the 'gem' command in Terminal?

  4. #4
    SitePoint Guru downtroden's Avatar
    Join Date
    Dec 2004
    Location
    illinois
    Posts
    971
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    I don't think you can run gems in the terminal when you're using locomotive. I know in the first version you chose which setup you wanted, rubygems, rails, etc.

    Just started getting interested in ruby again and haven't used this 2.0.x locomotive. Created the skeleton for the app fine, which page are you on?
    your brain reacts in the same way whether you are
    looking at something or thinking about it...


Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •